﻿Imports MainSms

Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Mainsms Инициализация объекта
        ' Список параметров (project, apikey, is_test)
        ' project - название проекта, берется со страницы http: 'mainsms.ru/office/api_account
        ' apikey - ключ проекта, берется со страницы http: 'mainsms.ru/office/api_account
        ' is_test - не обязательный параметр, если true то сообщения не будут отправляться и деньги не будут списываться(используется для отладки)
        ' use_ssl - не обязательный параметр, если true то взаимодействие будет осуществляться по протоколу https иначе http
        Dim sms = New MainSms.Mainsms("mainsms", "c72a61ef07e80")

        ' balance() Запрос баланса
        Dim rBalance = sms.balance()
        If (rBalance.status = "success") Then
            MessageBox.Show(rBalance.balance) ' покажем текущий баланс
        Else : MessageBox.Show(rBalance.message) ' иначе выведем сообщение об ошибке
        End If

        'price(recipients, message) запрос стоимости отправки сообщения на указанные номера
        ' Параметры recipients - номера получателей в любом формате через запятую. message - текст сообщения.
        Dim rprice = sms.price("89121231234,9121231235", "api_test")
        If (rprice.status = "success") Then
            MessageBox.Show(rprice.price)  ' покажем стоимость отправки сообщения на указанные номера
        Else : MessageBox.Show(rprice.message)  ' иначе выведем сообщение об ошибке
        End If



        'send(sender, recipients, message) - отправка сообщения
        ' Параметры sender - имя отправителя. recipients - номера получателей в любом формате через запятую. message - текст сообщения.
        Dim rsend = sms.send("testsend", "89999999998,9999999999", "testtext")
        If (rsend.status = "success") Then
            MessageBox.Show("ok") ' если сообщение было успешно отправленно выведем ok
        Else : MessageBox.Show(rsend.message)  ' иначе выведем сообщение об ошибке
        End If
        ' status(messages_id) - запрос статуса сообщений
        ' messages_id - id сообщений через запятую
        Dim rstatus = sms.status("119,118")
        If (rstatus.status = "success") Then
            MessageBox.Show("119 - " + rstatus.messages("119") + "; 118 - " + rstatus.messages("118"))  ' Выводим ид сообщения и статус их доставки
        Else : MessageBox.Show(rstatus.message)  ' иначе выведем сообщение об ошибке
        End If


        'info(phones) - запрос информации по номерам
        Dim rinfo = sms.info("89121231234,9121231235")
        If (rinfo.status = "success") Then
            For Each pi As PhoneInfo In rinfo.info
                MessageBox.Show("Номер - " + pi.phone + "; Оператор - " + pi.name + "; Регион - " + pi.region)
            Next
        Else : MessageBox.Show(rinfo.message)
        End If


    End Sub
End Class
